Package org.springframework.security.web.webauthn.api

# Class ImmutableAuthenticationExtensionsClientOutputs

java.lang.Object
org.springframework.security.web.webauthn.api.ImmutableAuthenticationExtensionsClientOutputs

All Implemented Interfaces:
  `Serializable`, `AuthenticationExtensionsClientOutputs`

public class ImmutableAuthenticationExtensionsClientOutputs extends Object implements AuthenticationExtensionsClientOutputs
An immutable implementation of `AuthenticationExtensionsClientOutputs`.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ImmutableAuthenticationExtensionsClientOutputs(List<AuthenticationExtensionsClientOutput<?>> outputs)`
`ImmutableAuthenticationExtensionsClientOutputs(AuthenticationExtensionsClientOutput<?>... outputs)`

## Method Summary

Modifier and Type
Method
Description
`List<AuthenticationExtensionsClientOutput<?>>`
`getOutputs()`
Gets all of the `AuthenticationExtensionsClientOutput`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ImmutableAuthenticationExtensionsClientOutputs

public ImmutableAuthenticationExtensionsClientOutputs(List<AuthenticationExtensionsClientOutput<?>> outputs)

### ImmutableAuthenticationExtensionsClientOutputs

public ImmutableAuthenticationExtensionsClientOutputs(AuthenticationExtensionsClientOutput<?>... outputs)

## Method Details

### getOutputs

public List<AuthenticationExtensionsClientOutput<?>> getOutputs()
Description copied from interface: `AuthenticationExtensionsClientOutputs`
Gets all of the `AuthenticationExtensionsClientOutput`.

Specified by:
  `getOutputs` in interface `AuthenticationExtensionsClientOutputs`
Returns:
  a non-null `List` of `AuthenticationExtensionsClientOutput`.